curl --request GET \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"ID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"status": "pending"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}Get Document by ID
The Get Document by ID endpoint retrieves the details of a single document using its identifier within a specific envelope.
This endpoint is useful for retrieving specific document information, monitoring document processing status, or displaying document details within your internal system.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
A unique string that identifies the document in the Nitro system.
Response
The GET Document by ID endpoint returns a JSON object with the document's data
- Pending
- Uploaded
- Failed
- Signed
- Sealed
Response for a pending document
Name of the file provided by the user.
1Unique uuid identifier for the document.
1UTC timestamp indicating when the document was created.
Current status of the document.
pending, uploaded, failed, signed, sealed